<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: GoddessProperties Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>GoddessProperties Class Reference</h1><!-- doxytag: class="GoddessProperties" -->
<p><a href="classGoddessProperties-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::map&lt; std::string, <br class="typebreak"/>
std::vector&lt; boost::any &gt; &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#a2be44cd9cf712a3ccb6530f8e9d038e5">tabular</a></td></tr>
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#a4f2ba997dde57ea80a6e22779085bc6d">containsNumber</a> (std::string key) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#aeeb0301d7ab1ffcd8da54c9b1722b423">containsString</a> (std::string key) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#a842a02d3b734bf990210ae961e1780eb">containsTabular</a> (std::string key) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#afe88f1a544d024ce28c7c26d662bc3e1">getFilename</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#a37cae41a3faa70855d1c2b12da6b0725">getNumber</a> (std::string key) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#a023ea797f7854b1231263692cf6882f4">getString</a> (std::string key) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classGoddessProperties.html#a2be44cd9cf712a3ccb6530f8e9d038e5">tabular</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#ae13c404bdbf5ae87b09b3b9bd61d701a">getTabular</a> (std::string key) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#abc089262a570c84b28777f70c7851cfb">load</a> (std::string filename)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#a0c4fd6ff4e3170f4a971b03556985ae4">print</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#a5b1f391ffa4dcfa85de98260869403a7">toString</a> () const </td></tr>
<tr><td colspan="2"><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#ad339c13ca6b343b46b8b83f76864e416">convert</a> (double value, std::string unitStr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#a983382494fbd65a095b406e790c6a713">matchesCelsius</a> (std::string str)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#acfb231a773eb2619a02c63c0a4aa8461">matchesInfinity</a> (std::string str)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#a35be47d30858fb7d7ba82bd805279b6a">matchesPerCent</a> (std::string str)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoddessProperties.html#ad1f9845a78948df7ef3dfc07e18f367b">parseTabular</a> (std::ifstream *in, std::string key)</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>This class can parse ".properties" files containing key-value-pairs and tables. Uses boost::regex to match the contents. </p>
<hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a2be44cd9cf712a3ccb6530f8e9d038e5"></a><!-- doxytag: member="GoddessProperties::tabular" ref="a2be44cd9cf712a3ccb6530f8e9d038e5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;std::string, std::vector&lt;boost::any&gt; &gt; <a class="el" href="classGoddessProperties.html#a2be44cd9cf712a3ccb6530f8e9d038e5">GoddessProperties::tabular</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Type represents a table in the property file. </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a4f2ba997dde57ea80a6e22779085bc6d"></a><!-- doxytag: member="GoddessProperties::containsNumber" ref="a4f2ba997dde57ea80a6e22779085bc6d" args="(std::string key) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GoddessProperties::containsNumber </td>
          <td>(</td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>key</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>key</em>&nbsp;</td><td>- the key. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>boolean - true if the key-number-pair exists. </dd></dl>

</div>
</div>
<a class="anchor" id="aeeb0301d7ab1ffcd8da54c9b1722b423"></a><!-- doxytag: member="GoddessProperties::containsString" ref="aeeb0301d7ab1ffcd8da54c9b1722b423" args="(std::string key) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GoddessProperties::containsString </td>
          <td>(</td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>key</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>key</em>&nbsp;</td><td>- the key. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>boolean - true if the key-string-pair exists. </dd></dl>

</div>
</div>
<a class="anchor" id="a842a02d3b734bf990210ae961e1780eb"></a><!-- doxytag: member="GoddessProperties::containsTabular" ref="a842a02d3b734bf990210ae961e1780eb" args="(std::string key) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GoddessProperties::containsTabular </td>
          <td>(</td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>key</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>key</em>&nbsp;</td><td>- the key. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>boolean - true if the key-tabular-pair exists. </dd></dl>

</div>
</div>
<a class="anchor" id="ad339c13ca6b343b46b8b83f76864e416"></a><!-- doxytag: member="GoddessProperties::convert" ref="ad339c13ca6b343b46b8b83f76864e416" args="(double value, std::string unitStr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GoddessProperties::convert </td>
          <td>(</td>
          <td class="paramtype">double&nbsp;</td>
          <td class="paramname"> <em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>unitStr</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>- the numeric value. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>unitStr</em>&nbsp;</td><td>- the unit string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the converted value. </dd></dl>

</div>
</div>
<a class="anchor" id="afe88f1a544d024ce28c7c26d662bc3e1"></a><!-- doxytag: member="GoddessProperties::getFilename" ref="afe88f1a544d024ce28c7c26d662bc3e1" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string GoddessProperties::getFilename </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>string - the file name. </dd></dl>

</div>
</div>
<a class="anchor" id="a37cae41a3faa70855d1c2b12da6b0725"></a><!-- doxytag: member="GoddessProperties::getNumber" ref="a37cae41a3faa70855d1c2b12da6b0725" args="(std::string key) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double GoddessProperties::getNumber </td>
          <td>(</td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>key</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>key</em>&nbsp;</td><td>- the key. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>double - the number. </dd></dl>

</div>
</div>
<a class="anchor" id="a023ea797f7854b1231263692cf6882f4"></a><!-- doxytag: member="GoddessProperties::getString" ref="a023ea797f7854b1231263692cf6882f4" args="(std::string key) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string GoddessProperties::getString </td>
          <td>(</td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>key</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>key</em>&nbsp;</td><td>- the key. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>string - the string. </dd></dl>

</div>
</div>
<a class="anchor" id="ae13c404bdbf5ae87b09b3b9bd61d701a"></a><!-- doxytag: member="GoddessProperties::getTabular" ref="ae13c404bdbf5ae87b09b3b9bd61d701a" args="(std::string key) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGoddessProperties.html#a2be44cd9cf712a3ccb6530f8e9d038e5">GoddessProperties::tabular</a> GoddessProperties::getTabular </td>
          <td>(</td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>key</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>key</em>&nbsp;</td><td>- the key. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>map - the tabular data. </dd></dl>

</div>
</div>
<a class="anchor" id="abc089262a570c84b28777f70c7851cfb"></a><!-- doxytag: member="GoddessProperties::load" ref="abc089262a570c84b28777f70c7851cfb" args="(std::string filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GoddessProperties::load </td>
          <td>(</td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>filename</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>filename</em>&nbsp;</td><td>- the properties file name. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>boolean - true if the file could be parsed completely. </dd></dl>

</div>
</div>
<a class="anchor" id="a983382494fbd65a095b406e790c6a713"></a><!-- doxytag: member="GoddessProperties::matchesCelsius" ref="a983382494fbd65a095b406e790c6a713" args="(std::string str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GoddessProperties::matchesCelsius </td>
          <td>(</td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>str</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>str</em>&nbsp;</td><td>- the string to match. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>bool - true of matched "celsius" or "C". </dd></dl>

</div>
</div>
<a class="anchor" id="acfb231a773eb2619a02c63c0a4aa8461"></a><!-- doxytag: member="GoddessProperties::matchesInfinity" ref="acfb231a773eb2619a02c63c0a4aa8461" args="(std::string str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GoddessProperties::matchesInfinity </td>
          <td>(</td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>str</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>str</em>&nbsp;</td><td>- the string to match. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>bool - true of matched "inf", "infinity", "Inf", "Infinity", "INF", or "INFINITY". </dd></dl>

</div>
</div>
<a class="anchor" id="a35be47d30858fb7d7ba82bd805279b6a"></a><!-- doxytag: member="GoddessProperties::matchesPerCent" ref="a35be47d30858fb7d7ba82bd805279b6a" args="(std::string str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GoddessProperties::matchesPerCent </td>
          <td>(</td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>str</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>str</em>&nbsp;</td><td>- the string to match. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>bool - true of matched "perCent" or "%". </dd></dl>

</div>
</div>
<a class="anchor" id="ad1f9845a78948df7ef3dfc07e18f367b"></a><!-- doxytag: member="GoddessProperties::parseTabular" ref="ad1f9845a78948df7ef3dfc07e18f367b" args="(std::ifstream *in, std::string key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GoddessProperties::parseTabular </td>
          <td>(</td>
          <td class="paramtype">std::ifstream *&nbsp;</td>
          <td class="paramname"> <em>in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>in</em>&nbsp;</td><td>- the input stream. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>key</em>&nbsp;</td><td>- the key of the tabular. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0c4fd6ff4e3170f4a971b03556985ae4"></a><!-- doxytag: member="GoddessProperties::print" ref="a0c4fd6ff4e3170f4a971b03556985ae4" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GoddessProperties::print </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Print all read properties. </p>

</div>
</div>
<a class="anchor" id="a5b1f391ffa4dcfa85de98260869403a7"></a><!-- doxytag: member="GoddessProperties::toString" ref="a5b1f391ffa4dcfa85de98260869403a7" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string GoddessProperties::toString </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>prints all properties to a string which is compatible with the file format. </dd></dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 19 Jul 2016 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
